Loading...
Searching...
No Matches
OpenMesh::IO::ExporterT< Mesh > Class Template Reference

This class template provides an exporter module for OpenMesh meshes. More...

`#include <OpenMesh/Core/IO/exporter/ExporterT.hh>`

Inheritance diagram for OpenMesh::IO::ExporterT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::IO::ExporterT< Mesh >:
[legend]

## Public Member Functions

| ExporterT (const Mesh &_mesh)
Vec3f | point (VertexHandle _vh) const override
Vec3d | pointd (VertexHandle _vh) const override
bool | is_point_double () const override
bool | is_normal_double () const override
Vec3f | normal (VertexHandle _vh) const override
Vec3d | normald (VertexHandle _vh) const override
Vec3uc | color (VertexHandle _vh) const override
Vec4uc | colorA (VertexHandle _vh) const override
Vec3ui | colori (VertexHandle _vh) const override
Vec4ui | colorAi (VertexHandle _vh) const override
Vec3f | colorf (VertexHandle _vh) const override
Vec4f | colorAf (VertexHandle _vh) const override
Vec2f | texcoord (VertexHandle _vh) const override
Vec2f | texcoord (HalfedgeHandle _heh) const override
OpenMesh::Attributes::StatusInfo | status (VertexHandle _vh) const override
Vec3uc | color (EdgeHandle _eh) const override
Vec4uc | colorA (EdgeHandle _eh) const override
Vec3ui | colori (EdgeHandle _eh) const override
Vec4ui | colorAi (EdgeHandle _eh) const override
Vec3f | colorf (EdgeHandle _eh) const override
Vec4f | colorAf (EdgeHandle _eh) const override
OpenMesh::Attributes::StatusInfo | status (EdgeHandle _eh) const override
int | get_halfedge_id (VertexHandle _vh) override
int | get_halfedge_id (FaceHandle _fh) override
int | get_next_halfedge_id (HalfedgeHandle _heh) override
int | get_to_vertex_id (HalfedgeHandle _heh) override
int | get_face_id (HalfedgeHandle _heh) override
OpenMesh::Attributes::StatusInfo | status (HalfedgeHandle _heh) const override
unsigned int | get_vhandles (FaceHandle _fh, std::vector< VertexHandle > &_vhandles) const override
unsigned int | get_face_texcoords (std::vector< Vec2f > &_hehandles) const override
HalfedgeHandle | getHeh (FaceHandle _fh, VertexHandle _vh) const override
| getHeh returns the HalfEdgeHandle that belongs to the face specified by _fh and has a toVertexHandle that corresponds to _vh.
Vec3f | normal (FaceHandle _fh) const override
Vec3d | normald (FaceHandle _fh) const override
Vec3uc | color (FaceHandle _fh) const override
Vec4uc | colorA (FaceHandle _fh) const override
Vec3ui | colori (FaceHandle _fh) const override
Vec4ui | colorAi (FaceHandle _fh) const override
Vec3f | colorf (FaceHandle _fh) const override
Vec4f | colorAf (FaceHandle _fh) const override
OpenMesh::Attributes::StatusInfo | status (FaceHandle _fh) const override
virtual const BaseKernel * | kernel () override
size_t | n_vertices () const override
size_t | n_faces () const override
size_t | n_edges () const override
bool | is_triangle_mesh () const override
bool | has_vertex_normals () const override
bool | has_vertex_colors () const override
bool | has_vertex_texcoords () const override
bool | has_vertex_status () const override
bool | has_edge_colors () const override
bool | has_edge_status () const override
bool | has_halfedge_status () const override
bool | has_face_normals () const override
bool | has_face_colors () const override
bool | has_face_status () const override

## Detailed Description

template<class Mesh>
class OpenMesh::IO::ExporterT< Mesh >

This class template provides an exporter module for OpenMesh meshes.

## Member Function Documentation

## color() [1/3]

template<class Mesh >

Vec3uc OpenMesh::IO::ExporterT< Mesh >::color | ( | EdgeHandle | _eh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## color() [2/3]

template<class Mesh >

Vec3uc OpenMesh::IO::ExporterT< Mesh >::color | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## color() [3/3]

template<class Mesh >

Vec3uc OpenMesh::IO::ExporterT< Mesh >::color | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorA() [1/3]

template<class Mesh >

Vec4uc OpenMesh::IO::ExporterT< Mesh >::colorA | ( | EdgeHandle | _eh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorA() [2/3]

template<class Mesh >

Vec4uc OpenMesh::IO::ExporterT< Mesh >::colorA | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorA() [3/3]

template<class Mesh >

Vec4uc OpenMesh::IO::ExporterT< Mesh >::colorA | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorAf() [1/3]

template<class Mesh >

Vec4f OpenMesh::IO::ExporterT< Mesh >::colorAf | ( | EdgeHandle | _eh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorAf() [2/3]

template<class Mesh >

Vec4f OpenMesh::IO::ExporterT< Mesh >::colorAf | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorAf() [3/3]

template<class Mesh >

Vec4f OpenMesh::IO::ExporterT< Mesh >::colorAf | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorAi() [1/3]

template<class Mesh >

Vec4ui OpenMesh::IO::ExporterT< Mesh >::colorAi | ( | EdgeHandle | _eh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorAi() [2/3]

template<class Mesh >

Vec4ui OpenMesh::IO::ExporterT< Mesh >::colorAi | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorAi() [3/3]

template<class Mesh >

Vec4ui OpenMesh::IO::ExporterT< Mesh >::colorAi | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorf() [1/3]

template<class Mesh >

Vec3f OpenMesh::IO::ExporterT< Mesh >::colorf | ( | EdgeHandle | _eh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorf() [2/3]

template<class Mesh >

Vec3f OpenMesh::IO::ExporterT< Mesh >::colorf | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colorf() [3/3]

template<class Mesh >

Vec3f OpenMesh::IO::ExporterT< Mesh >::colorf | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colori() [1/3]

template<class Mesh >

Vec3ui OpenMesh::IO::ExporterT< Mesh >::colori | ( | EdgeHandle | _eh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colori() [2/3]

template<class Mesh >

Vec3ui OpenMesh::IO::ExporterT< Mesh >::colori | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## colori() [3/3]

template<class Mesh >

Vec3ui OpenMesh::IO::ExporterT< Mesh >::colori | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## get_face_id()

template<class Mesh >

int OpenMesh::IO::ExporterT< Mesh >::get_face_id | ( | HalfedgeHandle | _heh | ) |

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## get_face_texcoords()

template<class Mesh >

unsigned int OpenMesh::IO::ExporterT< Mesh >::get_face_texcoords | ( | std::vector< Vec2f > & | _hehandles | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## get_halfedge_id() [1/2]

template<class Mesh >

int OpenMesh::IO::ExporterT< Mesh >::get_halfedge_id | ( | FaceHandle | _fh | ) |

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## get_halfedge_id() [2/2]

template<class Mesh >

int OpenMesh::IO::ExporterT< Mesh >::get_halfedge_id | ( | VertexHandle | _vh | ) |

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## get_next_halfedge_id()

template<class Mesh >

int OpenMesh::IO::ExporterT< Mesh >::get_next_halfedge_id | ( | HalfedgeHandle | _heh | ) |

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## get_to_vertex_id()

template<class Mesh >

int OpenMesh::IO::ExporterT< Mesh >::get_to_vertex_id | ( | HalfedgeHandle | _heh | ) |

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## get_vhandles()

template<class Mesh >

unsigned int OpenMesh::IO::ExporterT< Mesh >::get_vhandles | ( | FaceHandle | _fh,
|  | std::vector< VertexHandle > & | _vhandles
| ) |  | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## getHeh()

template<class Mesh >

HalfedgeHandle OpenMesh::IO::ExporterT< Mesh >::getHeh | ( | FaceHandle | _fh,
|  | VertexHandle | _vh
| ) |  | const

inline override virtual

getHeh returns the HalfEdgeHandle that belongs to the face specified by _fh and has a toVertexHandle that corresponds to _vh.

Parameters

  _fh | FaceHandle that is used to search for the half edge handle
  _vh | to_vertex_handle of the searched heh

Returns
  HalfEdgeHandle or invalid HalfEdgeHandle if none is found.

Implements OpenMesh::IO::BaseExporter.

## has_edge_colors()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_edge_colors | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_edge_status()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_edge_status | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_face_colors()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_face_colors | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_face_normals()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_face_normals | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_face_status()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_face_status | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_halfedge_status()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_halfedge_status | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_vertex_colors()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_vertex_colors | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_vertex_normals()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_vertex_normals | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_vertex_status()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_vertex_status | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## has_vertex_texcoords()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::has_vertex_texcoords | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## is_normal_double()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::is_normal_double | ( |  | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## is_point_double()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::is_point_double | ( |  | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## is_triangle_mesh()

template<class Mesh >

bool OpenMesh::IO::ExporterT< Mesh >::is_triangle_mesh | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## kernel()

template<class Mesh >

virtual const BaseKernel * OpenMesh::IO::ExporterT< Mesh >::kernel | ( |  | ) |

inline override virtual

Reimplemented from OpenMesh::IO::BaseExporter.

## n_edges()

template<class Mesh >

size_t OpenMesh::IO::ExporterT< Mesh >::n_edges | ( |  | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## n_faces()

template<class Mesh >

size_t OpenMesh::IO::ExporterT< Mesh >::n_faces | ( |  | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## n_vertices()

template<class Mesh >

size_t OpenMesh::IO::ExporterT< Mesh >::n_vertices | ( |  | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## normal() [1/2]

template<class Mesh >

Vec3f OpenMesh::IO::ExporterT< Mesh >::normal | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## normal() [2/2]

template<class Mesh >

Vec3f OpenMesh::IO::ExporterT< Mesh >::normal | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## normald() [1/2]

template<class Mesh >

Vec3d OpenMesh::IO::ExporterT< Mesh >::normald | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## normald() [2/2]

template<class Mesh >

Vec3d OpenMesh::IO::ExporterT< Mesh >::normald | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## point()

template<class Mesh >

Vec3f OpenMesh::IO::ExporterT< Mesh >::point | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## pointd()

template<class Mesh >

Vec3d OpenMesh::IO::ExporterT< Mesh >::pointd | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## status() [1/4]

template<class Mesh >

OpenMesh::Attributes::StatusInfo OpenMesh::IO::ExporterT< Mesh >::status | ( | EdgeHandle | _eh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## status() [2/4]

template<class Mesh >

OpenMesh::Attributes::StatusInfo OpenMesh::IO::ExporterT< Mesh >::status | ( | FaceHandle | _fh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## status() [3/4]

template<class Mesh >

OpenMesh::Attributes::StatusInfo OpenMesh::IO::ExporterT< Mesh >::status | ( | HalfedgeHandle | _heh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## status() [4/4]

template<class Mesh >

OpenMesh::Attributes::StatusInfo OpenMesh::IO::ExporterT< Mesh >::status | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## texcoord() [1/2]

template<class Mesh >

Vec2f OpenMesh::IO::ExporterT< Mesh >::texcoord | ( | HalfedgeHandle | _heh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

## texcoord() [2/2]

template<class Mesh >

Vec2f OpenMesh::IO::ExporterT< Mesh >::texcoord | ( | VertexHandle | _vh | ) | const

inline override virtual

Implements OpenMesh::IO::BaseExporter.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/exporter/ExporterT.hh